using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace BitOperators
{
    /// <summary>
    /// MainWindow.xaml 的交互逻辑
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        int i = 4 & 5;
        int j = 4 | 5;
        int k = 4 ^ 5;

        private void button1_Click(object sender, RoutedEventArgs e)
        {
            label1.Content = i.ToString();
        }

        private void button2_Click(object sender, RoutedEventArgs e)
        {
            label2.Content = j.ToString();
        }

        private void button3_Click(object sender, RoutedEventArgs e)
        {
            label3.Content = k.ToString();
        }
    }
}
